Commerce · Commerce
Creates a collection. Works with Shopify and WooCommerce accounts.
https://api.pozy.ai/v1/commerce/collectionsGuides: Commerce & blogs, Products and catalog
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the commerce resource group disabled get 403 resource_group_disabled. Authentication
Request body
application/json, required
accountIdstringrequiredtitlestringrequireddescriptionHtmlstringhandlestringsortOrderstringOne of
manual,best_selling,alpha_asc,alpha_desc,price_asc,price_desc,created,created_desc,most_relevant.seoobjecttitlestringdescriptionstring
imageobjecturlstring (URL)requiredaltTextstring
productIdsarray of stringUp to 250 items.
Example
curl -X POST "https://api.pozy.ai/v1/commerce/collections" \
-H "Authorization: Bearer $POZY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"accountId": "696e0b682d0a31188e7a2ba9",
"title": "Launch day"
}'const res = await fetch("https://api.pozy.ai/v1/commerce/collections", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.POZY_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
accountId: "696e0b682d0a31188e7a2ba9",
title: "Launch day"
}),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.post(
"https://api.pozy.ai/v1/commerce/collections",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
json={
"accountId": "696e0b682d0a31188e7a2ba9",
"title": "Launch day",
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
201 on success
collectionobject12 child fields
idstringaccountIdstringplatformstringOne of
shopify,woocommerce.titlestringhandlestringCan be null.
descriptionHtmlstringCan be null.
imageobjectOne of:
Commerce Image (3 fields)
idstringCan be null.
urlstringaltTextstringCan be null.
sortOrderstringOne of
manual,best_selling,alpha_asc,alpha_desc,price_asc,price_desc,created,created_desc,most_relevant.productCountintegerCan be null.
seoobject2 child fields
titlestringCan be null.
descriptionstringCan be null.
updatedAtstring (date-time)Can be null.
platformDataobjectCan be null.
{
"collection": {
"id": "6bfebd43ddc270f6d2c56fc5",
"accountId": "696e0b682d0a31188e7a2ba9",
"platform": "shopify",
"title": "Launch day",
"handle": "acme",
"descriptionHtml": "string",
"image": {
"id": "6bfebd43ddc270f6d2c56fc5",
"url": "https://pozy.ai/media/example-1.jpg",
"altText": "Hello from Pozy"
},
"sortOrder": "manual",
"productCount": 42,
"seo": {
"title": "Launch day",
"description": "A short description"
},
"updatedAt": "2026-10-02T09:00:00.000Z",
"platformData": {}
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.